org.keycloak.crypto

## Enum KeyStatus

- java.lang.Object
- - java.lang.Enum<KeyStatus>
  - - org.keycloak.crypto.KeyStatus

- All Implemented Interfaces:
    Serializable, Comparable<KeyStatus>

      public enum KeyStatus
      extends Enum<KeyStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `DISABLED`
    `PASSIVE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyStatus` | `from(boolean active, boolean enabled)`
    `boolean` | `isActive()`
    `boolean` | `isEnabled()`
    `static KeyStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeyStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final KeyStatus ACTIVE

    - #### PASSIVE

          public static final KeyStatus PASSIVE

    - #### DISABLED

          public static final KeyStatus DISABLED

  - ### Method Detail

    - #### values

          public static KeyStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyStatus c : KeyStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### from

          public static KeyStatus from(boolean active,
                                       boolean enabled)

    - #### isActive

          public boolean isActive()

    - #### isEnabled

          public boolean isEnabled()

Copyright © 2020 JBoss by Red Hat. All rights reserved.